#
# spec file for package datefudge
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           datefudge
Version:        1.20
Release:        3.1
License:        GPL-2.0+
Summary:        A preload library to fake system time
Url:            http://packages.qa.debian.org/d/datefudge.html
Group:          Development/Tools
Source:         http://cdn.debian.net/debian/pool/main/d/datefudge/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program fakes the system date so that programs think the
wall clock is different. The faking is not complete; timestamp
on files are not affected in any way.

%prep
%setup -q
sed "s/VERSION := \$\(.*\)/VERSION := %{version}/g" -i Makefile
sed 's/-o root -g root/-p/g' -i Makefile

%build
CFLAGS="%{optflags}" make libdir=%{_libdir} %{?_smp_mflags}


%install
make install libdir=%{_libdir} DESTDIR=%{buildroot} %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc README COPYING
%{_mandir}/man1/datefudge.1%{ext_man}
%{_bindir}/datefudge
%{_libdir}/datefudge/datefudge.so
%dir %{_libdir}/datefudge

%changelog
* Mon Jan 18 2016 idonmez@suse.com
- Initial release
